package com.izouma.awesomeadmin.service;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MemberCoin;

import java.util.List;


/**
 * service接口类
 */
public interface MemberCoinService {

    List<MemberCoin> getMemberCoinList(MemberCoin record);

    List<MemberCoin> getMemberCoinByPage(Page page, MemberCoin record);

    MemberCoin getMemberCoinById(String id);

    MemberCoin getMemberCoin(MemberCoin record);

    boolean createMemberCoin(MemberCoin record);

    boolean deleteMemberCoin(String id);

    boolean updateMemberCoin(MemberCoin record);

    void alipaySuccess(String tradeNo, String tradeStatus);

    int song(MemberCoin memberCoin);
}

